# GPencilStroke(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``GPencilStroke`(bpy_struct)

  Freehand curve defining part of a sketch

  `draw_mode`
    - `SCREEN` Screen, Stroke is in screen-space.
    - `3DSPACE` 3D Space, Stroke is in 3D-space.
    - `2DSPACE` 2D Space, Stroke is in 2D-space.
    - `2DIMAGE` 2D Image, Stroke is in 2D-space (but with special ‘image’ scaling).

    Type: | enum in [‘SCREEN’, ‘3DSPACE’, ‘2DSPACE’, ‘2DIMAGE’], default ‘SCREEN’

  `points`

    Stroke data points

    Type: | `GPencilStrokePoints` `bpy_prop_collection` of `GPencilStrokePoint`, (readonly)

  `select`

    Stroke is selected for viewport editing

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`bpy.context.editable_gpencil_strokes` `GPencilFrame.strokes` | `GPencilStrokes.new` `GPencilStrokes.remove`